Linux download has error

Description of the issue:
How can this issue be reproduced?

  1. When following the website terminal lines, I get this:
    2.Malformed entry 1 in list file /etc/apt/sources.list.d/brave-browser-release.list
    3.I tried it on Ubuntu 18.04 and Mint 17.04 and got identical results.

Expected result:

**Brave Version( check About Brave):**Release

Additional Information:

Hi, @StanFL, and welcome. I just fired up my Ubuntu 18.04 VM, updated it, including kernel, and tried the instructions for installing Brave. It worked, so let’s take a peek at your sources list that is flagged as having a malformed entry by doing
sudo less /etc/apt/sources.list.d/brave-browser-release.list

Make sure there’s no stray characters if you copy and paste. Less should give you a single entry like this (type q to get out of it):

deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ stable main

Is that what you get?

yes! what do i do next though

Well, @downsideup, I was hoping your list file had an entry that was obviously corrupted, but either there’s an invisible character throwing it off or there’s something else wrong, and I’m invoking @Mattches for review and help if the following doesn’t work.

If your system updates everything else, could you double-check that your Ubuntu 18.04 is up to date, then try removing the list file, then repeating the creation of it and subsequent installation commands? If your system won’t update anything, then delete the list file first, then update your system, then repeat creation of list file and Brave installation commands.

You probably know how to do all of these, but just in case:

  • To update your system:
sudo apt-get update
sudo apt-get upgrade
  • To remove the list file:
sudo rm /etc/apt/sources.list.d/brave-browser-release.list
  • To recreate list file and try to install Brave:
echo "deb [arch=amd64] https://brave-browser-apt-release.s3.brave.com/ stable main" | sudo tee /etc/apt/sources.list.d/brave-browser-release.list

sudo apt update

sudo apt install brave-browser

Fingers crossed,
Hnk

1 Like